libzmf::BoundingBox Struct Reference documentation

libzmf::BoundingBox Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| BoundingBox (const std::vector< Point > &points)
const std::vector< Point > & | points () const
double | width () const
double | height () const
Point | center () const
Point | topLeft () const
double | rotation () const
int | p1Quadrant () const
int | p2Quadrant () const
bool | mirrorHorizontal () const
bool | mirrorVertical () const

## Private Member Functions
int | quadrant (const Point &p) const

## Private Attributes
const std::vector< Point > | m_points
double | m_width
double | m_height
Point | m_center
double | m_rotation
int | m_p1Quadrant
int | m_p2Quadrant
bool | m_mirrorHorizontal
bool | m_mirrorVertical

## Constructor & Destructor Documentation

## ◆ BoundingBox()

libzmf::BoundingBox::BoundingBox | ( | const std::vector< Point > & | points | ) |

## Member Function Documentation

## ◆ center()

Point libzmf::BoundingBox::center | ( |  | ) | const

Referenced by topLeft().

## ◆ height()

double libzmf::BoundingBox::height | ( |  | ) | const

Referenced by topLeft().

## ◆ mirrorHorizontal()

bool libzmf::BoundingBox::mirrorHorizontal | ( |  | ) | const

## ◆ mirrorVertical()

bool libzmf::BoundingBox::mirrorVertical | ( |  | ) | const

## ◆ p1Quadrant()

int libzmf::BoundingBox::p1Quadrant | ( |  | ) | const

Referenced by BoundingBox().

## ◆ p2Quadrant()

int libzmf::BoundingBox::p2Quadrant | ( |  | ) | const

## ◆ points()

const std::vector< Point > & libzmf::BoundingBox::points | ( |  | ) | const

Referenced by libzmf::ZMF4Parser::readRectangle().

## ◆ quadrant()

int libzmf::BoundingBox::quadrant | ( | const Point & | p | ) | const
| private

Referenced by BoundingBox().

## ◆ rotation()

double libzmf::BoundingBox::rotation | ( |  | ) | const

## ◆ topLeft()

Point libzmf::BoundingBox::topLeft | ( |  | ) | const

## ◆ width()

double libzmf::BoundingBox::width | ( |  | ) | const

Referenced by topLeft().

## Member Data Documentation

## ◆ m_center

Point libzmf::BoundingBox::m_center
| private

Referenced by BoundingBox(), center(), and quadrant().

## ◆ m_height

double libzmf::BoundingBox::m_height
| private

Referenced by BoundingBox(), and height().

## ◆ m_mirrorHorizontal

bool libzmf::BoundingBox::m_mirrorHorizontal
| private

Referenced by BoundingBox(), and mirrorHorizontal().

## ◆ m_mirrorVertical

bool libzmf::BoundingBox::m_mirrorVertical
| private

Referenced by BoundingBox(), and mirrorVertical().

## ◆ m_p1Quadrant

int libzmf::BoundingBox::m_p1Quadrant
| private

Referenced by BoundingBox(), and p1Quadrant().

## ◆ m_p2Quadrant

int libzmf::BoundingBox::m_p2Quadrant
| private

Referenced by BoundingBox(), and p2Quadrant().

## ◆ m_points

const std::vector<Point> libzmf::BoundingBox::m_points
| private

Referenced by BoundingBox(), and points().

## ◆ m_rotation

double libzmf::BoundingBox::m_rotation
| private

Referenced by BoundingBox(), and rotation().

## ◆ m_width

double libzmf::BoundingBox::m_width
| private

Referenced by BoundingBox(), and width().

The documentation for this struct was generated from the following files:

- ZMFTypes.h
- ZMFTypes.cpp